﻿using System;
using System.Configuration;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples
{
    public partial class UseDraggableMarkers : System.Web.UI.Page
    {
        private readonly string[] markerIcons = new string[] { "marker_blue.gif", "marker_green.gif" };

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
                Map1.MapTools.PanZoomBar.Enabled = true;
                Map1.MapTools.MouseCoordinate.Enabled = true;
                Map1.MapUnit = GeographyUnit.Meter;

                GoogleOverlay google = new GoogleOverlay("Google Map");
                google.JavaScriptLibraryUri = new Uri(ConfigurationManager.AppSettings["GoogleUriV3"]);
                google.GoogleMapType = GoogleMapType.Normal;
                Map1.CustomOverlays.Add(google);

                SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("MarkerOverlay");
                WebImage blueImage = new WebImage("../../theme/default/img/" + markerIcons[0]);
                WebImage greenImage = new WebImage("../../theme/default/img/" + markerIcons[1]);

                Marker blueMarker = new Marker(-8922952.93266, 2984101.58384, blueImage);
                blueMarker.Id = "Blue" + Guid.NewGuid().ToString();
                blueMarker.Popup = new CustomPopup("blue", blueMarker.Position, "Blue", 50, 50, true, true, 1) { IsVisible = false };

                Marker greenMarker = new Marker(-10830821.09801, 4539747.98328, greenImage);
                greenMarker.Id = "Green" + Guid.NewGuid().ToString();
                greenMarker.Popup = new CustomPopup("Green", blueMarker.Position, "Green", 50, 50, true, true, 1) { IsVisible = false };

                markerOverlay.Markers.Add(blueMarker);
                markerOverlay.Markers.Add(greenMarker);
                Map1.CustomOverlays.Add(markerOverlay);
            }
        }
    }
}
